// CMAMEApp.h

#include <Application.h>

class CMainThread;

class CMAMEApp : public BApplication {
public:
					CMAMEApp();
	virtual bool		QuitRequested();
	virtual void		ReadyToRun();
	virtual void		MessageReceived(
						BMessage		*msg);
	virtual void		ArgvReceived(
						int32		argc,
						char			**argv);
	virtual void		AboutRequested();

	inline CMainThread	*&Main()	{ return mMain;}
	
private:
	CMainThread	*mMain;
};